<?php
	$seiten_id = 'fruehe-computer';
	$version = '$Id: early-computers.php 867 2015-10-24 21:26:15Z heribert $';
	$titel = 'Scientifical calculators and mini computers';
	
	require "../../lib/technikum29.php";
?>

<h2>Scientifical calculators and mini computers</h2>

<h3 id="lpg21-en">Schoppe & Faeser:  LGP-21 (General Precision) </h3>
	
	<!-- Bild ber ganze Breite (geht bei schmalen Monitoren ins Men rein) -->
	<!-- Implementierung dafr steht im common.css, Zeile 300ff. -->
    <div class="box center" style="position:relative;">
       <div style="position:absolute; top:0px;"><img src="/shared/photos/rechnertechnik/lgp-21.jpg"  width="872" height="414" alt="LGP 21 Computeranlage" />
</div>
        <div style="height: 443px;">&nbsp;</div>
		<p class="bildtext small">From left to right: magnetic tape drive, 1. LGP-21, Tally paper-tape-reader and punch, 2. Tally reader, two additional hard drives, 2. LGP-21, Flexowriter</p>
		
    </div>
		
		<p>This machine is particularly interesting in more than one way: 1) The hardware
is extremely simple, 2) the machine already employs a bus system for
interconnecting the various units. 3) The machine features a fixed disk which
holds all registers as well as timing tracks. As the picture above shows we
have two complete systems which simplifies troubleshooting and repair.<br>

Citing from the original brochure (1964): "The LGP-21 is produced by Schoppe &
Faeser as a licensee in Europe and is distributed by EUROCOMP GmbH."<br>

The LGP-21 had been developed by Librascope, division GP1 (USA). This company
once was one of the largest calculating machine manufacturers in the world.
Starting in 1962 the LGP-21 was marketed in the USA by General Precision. The
machine is a very small computer but was advertised as "The first complete
program controlled digital computer for only $16,250 in the minimum
configuration." This configuration consisted of the CPU and a Flexowriter only.
This machine was the successor of the <a class="go" href="/en/computer/lgp30.php"><b>LGP-30</b></a> (1st generation, 1956, also build
by Schoppe & Faeser in Germany as a licensed product). The LGP-21 is very rare
- only about 100 machines were built in Germany. Even rarer is the magnetic
tape unit of which only 5 known units were built. The machine in the museum has
serial number 4.</p>

<div class="box left clear-after">
		<img src="/shared/photos/rechnertechnik/tally-lochstreifenleser.jpg" width="603" height="241" alt="Tally Lochstreifenleser" />
		<p class="bildtext small">The external memory of the LGP-21 are perforated papertapes, which are scanned mechanically of the Tally-tape reader. The magnetic tape drive and other external drives were added in the late 60s.</p></div>
		
<p>As external storage the LGP-21 employs a paper tape system using Tally
papertape readers. The magnetic tape unit and two external disks with a
capacity of about 8000 words each were added in the late 1960s.<br>

A rotating disk serves as the machine's main memory and clock generator. It
rotates with 1475 RPM and holds 4096 words of 32 bits each which equals 12 kB,
a reasonable size back then. 

<div class="box left">
<a  class="popup" href="/shared/photos/rechnertechnik/lgp21-platte.jpg">LGP-21 disk drive
		<img src="/shared/photos/rechnertechnik/lgp21-platte.jpg" width="300" height="270" alt="LGP-21 disk drive" /></a>
	</div>
<br>
The disk contains 64 data tracks, four timing tracks and tracks for three registers (accumulator, instruction register and
counter register). 
The mean write density is about 10 Bit/mm (about 1/200th of
today's disk drives).<br>
The LGP-21 supports 23 different instructions - enough to program typical
scientific applications.<br>

Repairing the machine turned out to be quite a challenge. Having two machines
of this type helps a lot.

More information about this interesting and rare system will follow.</p>		


	
	<h3>Mini-Computers</h3>

    <p>Today's kids think of the latest mobile devices when talking about "mini computers".
	   In contrast, in the 1960s and the early 70s, a computer was always huge (like our
	   <a href="univac9400.php">UNIVAC mainframe</a>), thus a 300kg computer was "mini".
	   Early computers are well worth seeing due to their enormous size and the nice
	   transparent auxillary devices.
       <br />There is a very important computer family that finally lead to (today's)
	   personal computers: The development of the "Mini" computers from Digital Equipment
	   Corporation (DEC), series PDP-8 and PDP-12 (both 12-bit architecture). The museum
	   owns a complete production run from that devices: From the PDP-8 (also called
	   Classic-8), year of manufacture 1965 to the PDP-8a (1975, this one is less 
	   important so it is located in the archive). PDP means Programmed Data Processor.
	</p>
	<div class="box left clear-after">
        <img src="/shared/photos/rechnertechnik/dec/flip-chip-module.jpg" width="400" height="173" alt="Flip-Chip-Module" />
		<p>The manuals of these computers are very detailed, with full circuit
		   documentation. There never have been any other computer with such an
		   elaborate documentation. For restoration purposes these manuals are
		   indispensable. Even in those days, other manufacturers kept their
		   blueprints in secret for fear of unauthorized re-use (e.g. HP).
		  
		</p>
	</div>
	
	<p>For further reading see the story about <a class="go" name="backlink-dec"
	href="/en/devices/dec-history.php">Rise and Fall of DIGITAL (Equipment Corporation)</a>.</p>

    <h3 id="pdp8">Classic PDP-8</h3>
	<div class="box left clear-after">
		<img src="/shared/photos/rechnertechnik/dec/pdp-8.jpg" width="400" height="560" alt="PDP 8 Classic" />
		<img style="clear:left" src="/shared/photos/rechnertechnik/dec/pdp-8,pannel.jpg" width="400" height="300" alt="PDP-8 Bedienungspannel" />
		<img style="clear:left" src="/shared/photos/rechnertechnik/dec/pdp8-fluegel.jpg" width="400" height="345" alt="PDP-8 Flgel" />
	
	
		<p>PDP computers were especially used by scientists. By using self-made
		   (CPU) interface boards, already existing (experimental) equipment could easily
		   migrated to the new hardware. DEC even offered prefabricated boards to
		   encourage own extension development.
		   The figure above shows a typical second generation module (1965) without ICs
		   from the classic PDP-8 on the left. In the middle is a smaller third generation
		   module with ICs (from 1967) which was used in the PDP-8i, PDP-8L and PDP-12.
		   On the right is an empty module just suitable for being equipped by the
		   user for interfaces to own periphery.<br>

	
         One of the museum highlights: The complete PDP-8 system with processor,
         a big tape deck TU-580 (originally belonged to the PDP-5, manufactured in 1963),
         punch card reader/puncher PC-01, hard-disc DF-32 with immovable heads
         and a teletype as printer. The Classic PDP-8 is considered the world's first mass-produced
         "minicomputer". Due it's use of ICs, unlike its predecessors, it is considered
		 a second-generation computer.
	</p>
		 
		<p>This computer features various different logic and register modules. All logic
		is only built with NAND and NOR gatters. Registers are constructed with flip-flop
		circuits. The extensive wiring of the modules (see picture) is called
		<a href="http://en.wikipedia.org/wiki/Wire_wrap">Wire wrapping</a>. This kind of
		connections were used in all bigger computers until the 1980s, since it is an
		easy way to connect two points which are not mounted on the same board or on the
		same level. In the early days this wiring was manually performed and later executed
		by machines. Even today there are still some wire-wrap-connections in testing
		environments.
		<br>
		The picture shows the uncovered computer with opened right wing where you can easily
		see the wire-wrap connections.</p>
	
		<p class="small">Top: Complete PDP-8 system, <br/> center: console of the computer <br/> below: open computer, the right wing is extended. Here you can see the wire-wrap connections.<br><br>
		The processor and the tape reader are on loan from the <a href="http://www.fitg.de"> "FITG"</a>, Frankfurt (Germany)</small>
		
		</div>
         <!-- The <b>Classic PDP 8</b> from DEC (Digital Equipment Corporation, Massachusetts):
         He is considered to be the world's first mass-produced "minicomputer" (1965). "Mini" is relative: Only too very
         strong men can lift the computer. It is better to have four people to carry it!.
         Without ICs or their ancestors the device is counted among the seccond-generation calculators.
         <br/>You can also get a view from the "Flip-Chip"-card from the <a class="go" href="/en/devices/pdp-8-left-flank.php">left flank</a>
         (<u>flank</u>). The core memory is set above (storage capacity 4kB).-->
   
   
 
  <h3 id="pdp8i">PDP-8I</h3>
    <div class="box left">
        <img src="/shared/photos/rechnertechnik/dec/pdp8i.jpg" alt="DEC PDP-8I" width="400" height="666" />
	</div>
	<div style="margin-left:400px; min-width: 450px;">
		<div class="box center auto-bildbreite">
			<img style="float:none" src="/shared/photos/rechnertechnik/dec/8i-pannel.jpg" width="400" height="292" alt="PDP 8i operator panel" /> 
			<p class="bildtext small">Left: The PDP-8i system with two-DECtapes TU 55, hight-speed paper tape reader/punch
				PC 04, 563 CALCOM plotter (top) and a TELETYPE (not shown). Above: the computer console</p>
		</div>
	</div>
      
	  <p>In 1967 the first series 74xx TTL ICs (transistor-transistor logic) came on the market.
	     DEC was at the bleeding edge, releasing the 8i ("with <b>i</b>ntegrated circuits"). No one
		 knew about the stability of the new ICs (later bugs). Therefore UNIVAC used the well established
		 DTL technology even two years after. Fortunately, the TTL ICs proved to be as stable as the DTL
		 series. Since the integration degree was much higher, less space has been needed for computers.
		 <br>DEC's first calculator with integrated circuits was very expensive. The CPU on alone
		 (in the picture: Left case, middle) cost US$ 27,000 without peripherals at that time.
         <br>The main memory had a capacity of 8kB. While computing a "large" problem, it was possible to swap
         programs or data to files on magnetic tape and read in afterward be reread. DEC developed
         an intelligent operating system (OS/8) which worked very efficiently with such little memory.
         It is very interesting to watch this computer working.</p>
         <p>If you have not been in the presence of this computer, you should know that it is quite large.
         With the plotter, it stands at a height of almost 7' (2m) and weighting at more than 600 lbs (300kg).</p>
         <p>The peripherals consist of two TU-55 (tape drives), a PC-04 (high speed paper tape reader),
         Calcomp 563 plotter (at the top) and of course a teletype (not pictured).
	</p>

		 
	<h3 id="pdp8L">PDP-8L</h3>
	<br>
	<div class="box desc-left borderless">
		<img src="/shared/photos/rechnertechnik/dec/pdp-8L.jpg" width="400" height="360" alt="DEC PDP-8L" />
		<p class="small">PDP-8L (build in 1968) with HSR Paper Tape Reader</p>
	</div>
	<div class="box clear-after">
		<p>Many DEC customers did not need the high memory capacity or installable options.
		Therefore DEC developed the stripped-down computer PDP 8L (<b>L</b>ow-cost) with
		only a few pre-wired installed options in the lower price range.
		The core memory had only 4kB capacity, it was extendable to 8kB with an external cabinet.
		<br>Our PDP-8L has many extensions: HSR (High Speed) paper tape reader, TC01 Tape Control
		with two drives TU55 and additional memory.
		<br>DEC invented the interpreted programming language <b>FOCAL</b> (Formulating Online
		Calculations in Algebraic Language), which allowed the user an interactive
		programming environment (like a Unix shell). This language is similar to BASIC, but
		slightly simpler. FOCAL required no operating system and ran smoothly with 4kB core
		memory and lacking mass storage.
	</div>
 

 <h3 id="pdp12">PDP-12, LAB-12</h3>
 <div class="box left">
      <img src="/shared/photos/rechnertechnik/dec/pdp-12.jpg" width="400" height="485" alt="DEC LAB-12" />
 </div>
 <div class="box center" style="min-width: 840px;">
	  <img src="/shared/photos/rechnertechnik/dec/pdp-12-konsole.jpg" width="400" height="256" alt="LAB-12 Bedienungspannel" />
 </div>
 
			<p>The PDP-12 was released in 1969. Just 755 units were sold worldwide. It was the last series that
			could operate in LINC-Mode (it could be switched to either LINC-8
			or PDP-8). This is a laboratory computer, equipped with AD and DA
			converter as standard. Such computers were usually kept up to date
			with hardware updates. The memory of this device was gradually
			increased from 8kB up to 32kB (DW 08E storage extension).
			<br>Besides the tape drives, the computer was also equipped with
			an 8-inch floppy drive. Afterwards they were removed again in
			favor of two removable disk drives. Finally they even tied the
			device to 10BASE-T ethernet, using a selfmade controller with an
			handwritten TCP/IP stack on a selfmade operating system.
			Thus this device can demonstrate the era from paper tapes up to
			today's storage standard.<br>
			Check out the console in a large scale: 
<a  class="popup" href="/shared/photos/rechnertechnik/dec/konsole,dunkel.jpg">PDP-12 console (dark picture)</a> 
or: <a  class="popup" href="/shared/photos/rechnertechnik/dec/konsole,hell.jpg">PDP-12 console (ligh picture)</a>
			</p>
		
	<div class="desc-right borderless">
      <img src="/shared/photos/rechnertechnik/dec/pdp-12-innen.jpg" width="297" height="676" alt="DEC LAB-12-Flip-Chips" />
	  <p class="small">The picture on the left shows the PDP-12 inner life with all 462 Flip-Chip-Boards.</p>
	</div>

	<p>By having all the following options, our computer was very comfortable
	(the number in parentheses indicates the number of neccessary boards):</p>

	<dl>
		<dt>AD12 [A-D-Control] (12 modules):
		<dd>The AD12 includes 16 channels of input, 10bit output resolution and features
		    up to 60kHz signals at 30dB down.
		
		<dt>DM12 [Data Break Multiplexer for KF12-B] (6 modules):
		<dd>The DM12 provides the capability of operating up to three data break devices.
		    The Data Break facility allows an I/O device to transfer information directly
			with the PDP-12 core memory on a cycle-stealing basis. This is particulary
			well suited for high-speed devices which transfer large amounts of information
			in block form. Peripheral I/O equipment  could reach a maximum transfer rate
			of 6,5 Mbit/sec.
		
		<dt>DP12A [TTY-Dataphone] (4 modules):
		<dd>The DP12 options permit interfacing additional Teletypes and Modems. They are
		    capable of accepting data asynchronously up to 100,000 baud. The units are
			designed for US-ASCII and meet the EIA-standard (RS232) requirements.
		
		<dt>DR12 [Relays and Control] (1 module):
		<dd>The relay buffer is a six-bit register connected to six relays that are mounted
		    on the data terminal panel. They can be used for controlling experiments or
			external equipment not otherwise directly interfaced with the PDP-12 Computer.
			The states of the relays can be examinede at any time via the register.
		
		<dt>KE12 [Extended Arithmetik Element] (14 modules):
		<dd>The EAE enables the CP (the DEC operating system) to perform arithmetic
		    operations at higher speed. The ALU is extended by asynchronous logic such as a
			12-bit Multiplier Quotient Register and a 5-bit Step Counter.  These components
			are used by auxillary CPU instructions (opcodes).
			
		<dt>KF12 [Multi Level] (54 modules):
		<dd>The Multi-Level Automatic Priority Interrupt is designed to reduce the CPU
		    overhead during the servicing of program interrupts. Up to 15 levels of interrupts
			can be accomodated with each level having an unique vector address. The interrupts
			can be accepted from other options (CPU extensions) or from up to six external
			devices. Storing of priority and vectoring of interrupt service routines is
			performed with a Stack.
			
		<dt>KT12 [Time-Sharing Option] (2 modules):
		<dd>This module provides the additional logic circuits required for the PDP12 Time
		    Sharing System. Having satisfied the minimum equipment, it perimts up to 16 users
			to operate their individual programs in an apperantly simultaneous manner. The
			system is controlled by a group of subprograms called "TSS/12 Monitor".
			
		<dt>KW12-A [Real Time Clock] (19 modules):
		<dd>The RTC can be used to generate Program Interrupts over a range of intervals of
		    2.5us to 40.96s; detect external and internal events in order to count them,
			measure them against a time base, measure the interval between them, use them as
			time base standard or control sample times of A/D conversions. In our system
			this module was used to connect the german longwave time signal radio station 
			DCF77 in order to recieve the atomic clock time from the German master clocks
			in Frankfurt.
	</dl>
	
	<p>The computer is equipped with further cabinets which allow much more peripherals:</p>
	
	<div class="desc-right no-copyright borderless">
       <img src="/shared/photos/rechnertechnik/dec/pdp-12anwendung.jpg" width="400" height="366" alt="Typical PDP-12 in scientific environment" />
	   <p class="bildtext small">Typical picture in the 1970s: PDP-12 in the scientific domain. [Source: "digital products and applications, 1971"]</p>
	</div>
	
	<dl>
		<dt>AA50P [12 Bit DAC Controller]
		<dd>Cabinet to upgrade the number of digital-analog converters (half filled in our setup)
		
		<dt>BA12 [Peripharal Expander]
		<dd>Cabinet for peripheral extension, e.g. paper tape reader/puncher, PC05, card
		    readers, etc.
		
		<dt>DW08A [I/O Bus Converter]
		<dd>Cabinet to connect "negative bus system" units. The "negative logic level" was used
		    at the time of germanium transistors (PNP), for example the DF32 disk drive with
			fixed heads.

		<dt>DW08E [I/O Bus Converter]
		<dd>This plug-in for the smaller PDP-8e converts the PDP-8, -8i and -12 bus to the
		    OMNIBUS system from the PDP-8e. Thus all 8e interfaces could be connected, e.g. the
			RK8E interface (Digitl RK05) or Plessey PM DD/8 disk drives.
		
		<dt>BM812 [Memory Expansion Box]
		<dd>Memory expansion box that is capable of expending either a PDP8i or PDP12
		    from 8kB to 32kB with MM8e-stacks (like in the PDP-8e).
	</dl>
	
	<div class="desc-left auto-bildbreite borderless" style="margin-bottom: 0;">
      <img src="/shared/photos/rechnertechnik/dec/talk-to-me.jpg" width="163" height="209" alt="Demo-12 Demoprogramm" />
	  <p class="bildtext small">So logs the PDP-12-demo program</p>
	</div>
	
	<p>This system is fully developed. This was a common approach at that time: At first the
	   computer was purchased in the basic version which was barely affordable. Afterwards
	   more options were installed step-by-step. That way the enormous acquisition costs
	   were distributed over several years and the computer was always up to date.<br>
	   We have very good programs [Demo-12 running on DIAL], which shows with extreme illustrative the performance of the computer. This includes an on-screen analog clock with real-time display and the game
"SPACE WAR". Some of will be soon available on our special page [in working].
    </p>
	<div class="cols" style="clear:left;">
	<div class="leftcol">
	<p class="small">(Google-translation!):We have a PDP-12 price list from the year 1973, a period in which the PDP-12 was already an outdated model. Our fully-equipped computer was a PDP-12 LDP (Laboratory Data Processor), here specifically a "clinical lab12", sold at a price of DM 206.700. Most of the options listed above were built in. (In 1973 3,50DM corresponds to 1$).<br>
	This computer was equipped with 4kB Memory Core. So one needs in adition a "Memory Extension Control" for 16.600 DM and a 4kB Memory Module for 25.100 DM. The price for the unimposing Peripheral Expander BA12 was 5.400 DM (equivalent to a midsize car) and "High-Speed Paper Tape Reader/Punch" incredible 16.200 DM.</div>
	<div class="rightcol">
	<p class="small">

	A Disk Cartridge Drive RK05 where sold for DM 21.200, where one needs in addition the "Positive I/O Bus to Omnibus Converter" DW8E (6750 DM). Similarly is the Converter DW08A and the Cabinet AA50 for additional D/A Controller. The 3 plugged D/A modules were calculated with 1.680 DM per unit.
	The memory expansion to 32K does not appear on the list, but the price for this option was about 50.000 DM including the controller.<br>

	In the sum it is a staggering number of 387.690 DM, which is today corresponding about 500,000  or 600.000 $!</p>
</small>
</div>
</div>
<div class="clear">
</div>

	 <h3 id="lab8e">Lab-8e, PDP-8e</h3>
	<div class="box left">
		<img src="/shared/photos/rechnertechnik/dec/lab8e.jpg" width="400" height="461" alt="DEC LAB-8e" />
	</div>
	<div class="box center" style="min-width: 840px;">
		<img src="/shared/photos/rechnertechnik/dec/pdp-8e,pannel.jpg" width="400" height="300" alt="PDP-8e operator panel" />
	</div>
    <div class="bildtext">
            <p>The successor of the PDP-8i was the PDP-8e (1970). This computer came with an
             internal bus system, so you could easily attach any peripherals using interface cards. This
             feature made the "mini"-computer all-purpose. This computer type was offered with diverse
             A/D- and D/A-converters and connection facilities as a laboratory computer for analogue
             devices (shown in the picture). The peripherals are:</p>
            <ul>
                <li>VR 12 (oscilloscope display)</li>
                <li>PC 04 (High speed paper tape reader/puncher)</li>
                <li>3 x TU 56 (double tape drive)</li>
                <li>A/D- and D/A-converter</li>
            </ul>
	</div>
    <div class="box left clear-after">
		<img src="/shared/photos/rechnertechnik/dec/8e-module.jpg" alt="8e-Module" width="400" height="175"/>
		<p>The picture on the left shows a board for own peripheral interfaces. In this unit,
		   bus amplifiers, etc. are already mounted. You could install your own ICs in front of
		   them and connect them with Wire-Wrap or soldered wires.
		   On the right is a typical module with a lot of ICs. Both modules are only partially
		   visible.
		</p>
    </div>
	
	
 <h3 id="nova-en">Data General: NOVA 2</h3>
   
   <div class="box left">
      <img src="/shared/photos/rechnertechnik/nova2.jpg" width="400" height="561" alt="Data General: NOVA 2" />
<p>	Edson de Castro was responsible for product management at DEC and was intent
on developing a 16-bit computer with a processor that would fit on a single
printed circuit board. But Ken Olson, the founder of DEC, wasn't
supportive. So de Castro left DEC in 1968 together with three other
hardware engineers to found his own company in a vacant barber's shop:
<b>Data General Corporation </b>(Massachusetts, USA).<br>

Already in 1969 the first 16-bit computer in the <b>"NOVA" </b>series was ready
for the market. Thanks to the simpler production method (no wire wrapping,
only two boards + memory boards etc.) the basic version was quite inexpensive
at $4000. However, this basic model alone wasn't really that useful, and
after extending the computer the total price was substantially higher.
The Nova computer was advertised as "the best small computer in the world".
At this time, DEC was still building the PDP-8/I and the PDP-12, which 
required lots of very small flip-chip-modules. <br>

The successor model (available in 1973), the<b> NOVA 2</b>, was simplified even
further, and the increased chip density made it possible to have the whole
processor together with the control logic for slow peripheral devices
(teletype, paper tape puncher and reader) one single board. Our Nova is a
NOVA 2/10 model with slots for 10 boards, and therefore enough space for
quite a few device controllers and memory extensions.<br>


From today's perspective, the rather huge boards (15x15 inch,
nicknamed "circuit graveyards in baking tray size") do have disadvantages:
any kind of repair is very difficult, because it is not possible to pin down
a malfunction by exchanging small boards.<br>

The NOVA shown in the picture is from a university. It is equipped with
two harddisk drives, one twin floppy drive (8" disks!), one teletype,
one high-speed paper tape punch reader and one punch card reader (not in 
the picture). Later on a terminal was added, which extended the computer
to a comfortably usable system.</p>

The details are better visible in a larger photo: <a  class="popup" href="/shared/photos/rechnertechnik/nova-detail.jpg">NOVA 2 with terminal</a><br>

	  <p class="bildtext small">
Hardware configuration, from top to bottom:<br>
<dl>

<dd>Paper tape punch reader (mostly used for testing programs included with
  every delivered system)
<dd>Twin disk drive for 8-inch floppy disks, Model 6032
<dd>CPU with core memory, 32 KB, access time 0.8 us
<dd>Two hard-disk drives with removable cartridges, Series 30. Capacity 
  1.200.000 16-bit words, or 2.4 MB.
<dd>Disk Cartridge System 4047, necessary to connect the second disk
<dd>Terminal "DASHER 1", Model 6052 by Data General, on the right hand side
</dl></small>	  
 </div>
 
 
    <h3 id="wang2200">WANG 2200 with bulky peripheral hardware</h3>
    <p>Next, the first system that looks like today's computer is presented: <a class="go" href="/en/devices/wang2200.php">WANG 2200</a>, year of manufacture 1973. This computer, with so many peripheral devices, is probably unique in Germany. The peripherals: paper tape reader, punch card reader,  triple 8-inch disc drive, hard disc system with 38cm diameter disks (the device weights 100kg and cost 24000 DM, but only holdy 5MB), special BASIC-language keyboard, etc.</p>
    <p>WANG quickly recognized that the future of computers needed screens. However the concurrent HP
    computers had only a single-line LED display until 1975.</p>

    <div class="box center">
       <a href="/en/devices/wang2200.php" name="backlink-wang2200"><img src="/shared/photos/rechnertechnik/wang2200.jpg" width="592" height="402" alt="Wang 2200" /></a>
    </div>

    <p>One of the first personal computer was also build by WANG: the PCS II (1975). The first PC that was affordable for everybody was the PET 2001 from Commodore. It came on the market in 1977 and was as cheap as today's PCs, but had 8kB and had decent applications. Many more home computers followed, the market got out of hand and therewith this collection of computers ends.</p>
     
    <p> See further details at <br>
	 <a class="go" href="/en/details2.php" title="Details 2"> the tabular overview of
     mid range data processing equipment and proffessional early computers</a>.</p>

